// -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-
/*-
 * Copyright (c) 2016 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>, Andrei-Costin Zisu <matzipan@gmail.com>
 */

public class Scratch.Plugins.FolderManager.FileItem : Item {
    public FileItem (Scratch.Plugins.FolderManager.File file, Scratch.Plugins.FolderManager.FileView view) requires (file.is_valid_textfile) {
        Object (file: file, view: view);
    }

    public override Gtk.Menu? get_context_menu () {
        var menu = new Gtk.Menu ();
        var rename_item = new Gtk.MenuItem.with_label (_("Rename"));
        rename_item.activate.connect (() => view.start_editing_item (this));
        menu.append (rename_item);

        var delete_item = new Gtk.MenuItem.with_label (_("Move to Trash"));
        delete_item.activate.connect (() => do_remove ());
        menu.append (delete_item);

        menu.show_all ();
        return menu;
    }
}
